%define oname pywebkitgtk
%define python_gtk_dir %python_sitelibdir/gtk-2.0
%define version 1.1.4
%define release alt1
%setup_python_module pywebkitgtk

Name: %packagename
Version: %version
Release: %release
Summary: Python Bindings for WebKit-gtk
Packager: Alexey Shabalin <shaba at altlinux.ru>
Group: Development/Python
License: GPLv2+
Url: http://code.google.com/p/pywebkitgtk/
Source: http://pywebkitgtk.googlecode.com/files/%oname-%version.tar

Provides: %oname = %version-%release

# Automatically added by buildreq on Wed Oct 29 2008
BuildRequires: libwebkit-devel libxslt-devel python-module-pygtk-devel

%description
The purpose of pywebkitgtk is to bring an alternative web engine to
Python/GTK+ application developers who might need a web browser engine for
their next application or developers wishing to have a better browser engine
that they can access to using the Python programming language.

%prep
%setup -q -n %oname-%version
# Link with current python
sed -i -e 's,^\(webkit_la_LIBADD = \$(DEPS_LIBS)\),\1 -lpython%__python_version,g' Makefile.am

%build
rm -f aclocal.m4
%undefine __libtoolize
##ACLOCAL="aclocal -I ./m4" %%autoreconf
%configure --disable-static
%make

%install
%make_install DESTDIR=%buildroot install
find %buildroot -name '*.la' -exec rm {} \;

%files
%doc AUTHORS ChangeLog COPYING MAINTAINERS NEWS README demos
%_datadir/pywebkitgtk
%python_gtk_dir/*

%changelog
* Fri Apr 10 2009 Alexey Shabalin <shaba@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Wed Dec 03 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.2-alt1
- 1.0.2
- drop patches (upstream fixed)

* Wed Oct 29 2008 Alexey Shabalin <shaba@altlinux.ru> 1.0.1-alt1
- initial build for ALTLinux

